# Update a webhook Endpoint: PATCH /api/v1/webhooks/{webhook_id} Version: 0.0.1 Security: user_session, form_session, component_session, component_token, api_token ## Path parameters: - `webhook_id` (string, required) Webhook Identifier ## Request fields (application/json): - `description` (string) - `subscribed_events` (array) Enum: "employee.created", "employee.updated", "employee.deleted", "employer.created", "employer.updated", "employer.deleted", "client.created", "client.updated", "client.deleted", "job.created", "job.updated", "job.deleted", "task.created", "task.updated", "task.deleted", "task.form_pdf_generated", "placement.created", "placement.updated", "placement.deleted" ## Response 200 fields (application/json): - `id` (string, required) Webhook Identifier - `url` (string, required) - `token` (string, required) - `description` (any, required) - `created_at` (string, required) a string to be decoded into a DateTime.Utc - `updated_at` (string, required) a string to be decoded into a DateTime.Utc - `last_used_at` (any, required) - `subscribed_events` (array, required) Enum: "employee.created", "employee.updated", "employee.deleted", "employer.created", "employer.updated", "employer.deleted", "client.created", "client.updated", "client.deleted", "job.created", "job.updated", "job.deleted", "task.created", "task.updated", "task.deleted", "task.form_pdf_generated", "placement.created", "placement.updated", "placement.deleted" ## Response 400 fields (application/json): - `issues` (array, required) - `issues._tag` (string, required) The tag identifying the type of parse issue Enum: "Pointer", "Unexpected", "Missing", "Composite", "Refinement", "Transformation", "Type", "Forbidden" - `issues.path` (array, required) The path to the property where the issue occurred - `issues.message` (string, required) A descriptive message explaining the issue - `message` (string, required) - `_tag` (string, required) Enum: "HttpApiDecodeError" ## Response 401 fields (application/json): - `message` (string, required) - `_tag` (string, required) Enum: "Unauthorized" ## Response 403 fields (application/json): - `message` (string, required) - `_tag` (string, required) Enum: "Forbidden" ## Response 404 fields (application/json): - `message` (string, required) - `_tag` (string, required) Enum: "ResourceNotFoundError"